#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30bd77c, "crypto_alloc_ahash" },
	{ 0xcf95c512, "__host1x_client_init" },
	{ 0xe2741e5e, "devm_platform_ioremap_resource" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0xe26aa15d, "platform_driver_unregister" },
	{ 0x2fbd4e20, "host1x_job_pin" },
	{ 0x764342fc, "crypto_engine_unregister_aead" },
	{ 0x6029973f, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x2912b702, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcf66159d, "host1x_syncpt_request" },
	{ 0x1814c44c, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x10c2ca4, "host1x_job_put" },
	{ 0xdced74af, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xedea12e6, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x41534d03, "host1x_job_unpin" },
	{ 0x64e4f8ef, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xa384a5e2, "crypto_engine_register_skcipher" },
	{ 0x38bd4a82, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2d356142, "crypto_engine_unregister_skcipher" },
	{ 0xbe3d1031, "host1x_syncpt_put" },
	{ 0xee3c529e, "crypto_transfer_hash_request_to_engine" },
	{ 0xf8446d67, "_dev_err" },
	{ 0x8869e44a, "crypto_shash_setkey" },
	{ 0xbd75fb9a, "host1x_job_submit" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xd9bd479a, "dma_alloc_attrs" },
	{ 0xb4920a52, "crypto_engine_start" },
	{ 0xd6829072, "crypto_engine_register_aead" },
	{ 0x3b5e7aa0, "host1x_device_init" },
	{ 0x3859df4, "crypto_engine_unregister_ahash" },
	{ 0x81e491c3, "__host1x_client_register" },
	{ 0x594ee70e, "crypto_ahash_finup" },
	{ 0xdcb764ad, "memset" },
	{ 0x378b116e, "_dev_warn" },
	{ 0xd794005a, "device_get_match_data" },
	{ 0x56ab5eea, "crypto_transfer_aead_request_to_engine" },
	{ 0x7329fec4, "host1x_driver_unregister" },
	{ 0x7af7f99e, "crypto_ahash_digest" },
	{ 0x8777050f, "host1x_syncpt_wait" },
	{ 0xa096dd33, "host1x_syncpt_get" },
	{ 0xe295655f, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x6e4326d4, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9bf132bd, "__platform_driver_register" },
	{ 0x28db1363, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x19702ea, "host1x_client_unregister" },
	{ 0x227eb170, "crypto_finalize_aead_request" },
	{ 0x77c46551, "dma_free_attrs" },
	{ 0xb7bc3e1d, "dma_map_sgtable" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x88ab4e8e, "host1x_channel_request" },
	{ 0xf77b9f58, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x62a4d80b, "host1x_device_exit" },
	{ 0x2210a874, "crypto_transfer_skcipher_request_to_engine" },
	{ 0x8028affb, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd1ba6be1, "dma_set_mask" },
	{ 0x743381d4, "host1x_driver_register_full" },
	{ 0xfb05df0b, "dma_get_sgtable_attrs" },
	{ 0xcf5db1b7, "host1x_channel_put" },
	{ 0xce8e40ff, "dev_err_probe" },
	{ 0xea7373b1, "devm_clk_get_enabled" },
	{ 0x4d5f1669, "dma_unmap_sg_attrs" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0xba67c26e, "crypto_alloc_shash" },
	{ 0x91b86b3a, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0xb950e4cd, "host1x_syncpt_id" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "CD3D1D0CB6FA5A67AFBC929");
MODULE_INFO(rhelversion, "9.7");
