#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xcd9092ed, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xac5752e6, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x3a97f9f1, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0xb8fb705a, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0x646735e6, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x2eafa766, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x71415b56, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x29a832ed, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x44405dc8, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0xc374c615, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xdd417c93, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0xb8d096b6, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xe405c4ee, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0x2f6bb4e9, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0x966f7400, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0xc1a556f6, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xd4c06929, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35d1b113, "filp_open" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0xa7ebdbf0, "bdev_file_open_by_path" },
	{ 0x771b97d4, "try_module_get" },
	{ 0x35110508, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa495b039, "ida_destroy" },
	{ 0x3371585c, "config_group_init" },
	{ 0xb23db49, "radix_tree_insert" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x44b2d4f9, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8659d6e3, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x806fe5fb, "radix_tree_lookup" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x722cba96, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xcf2a6966, "up" },
	{ 0x81b2a83d, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x362f1450, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x150d2577, "bpf_trace_run2" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x8a96dd0c, "event_triggers_call" },
	{ 0xd65cafd2, "pci_p2pmem_free_sgl" },
	{ 0x5a199110, "kmem_cache_create" },
	{ 0xb81d1e0b, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x68e9c555, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe4e1810f, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfcd07828, "trace_event_buffer_commit" },
	{ 0x64e4f8ef, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xf77d338c, "mempool_create" },
	{ 0xc7be9a01, "crypto_alloc_kpp" },
	{ 0x14a355ad, "vfs_fallocate" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x7f4546f, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x75b830fc, "put_device" },
	{ 0x5aa763c3, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x3368a772, "mempool_alloc" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x4fc2d1aa, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x47bc71b3, "submit_bio" },
	{ 0xb826f25, "module_put" },
	{ 0xdcb84d54, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbecbf30e, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xe5dbba59, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x546411d9, "bio_put" },
	{ 0x5aa2f27e, "radix_tree_delete" },
	{ 0x7a0c391c, "bio_endio" },
	{ 0xb1a41200, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xa9c7bd0a, "perf_trace_run_bpf_submit" },
	{ 0x6837e4a7, "fput" },
	{ 0xa1ceeedb, "down_write" },
	{ 0x2c665d23, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8869e44a, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3fbb242d, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa5eb9e3d, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x314220de, "xa_load" },
	{ 0x1dcd1d20, "config_group_init_type_name" },
	{ 0x6626afca, "down" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x2a831bde, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0xbd42a382, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xcabc5c9, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x51d1f63d, "bio_chain" },
	{ 0x143ec08b, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x1960f4ca, "pci_p2pdma_enable_store" },
	{ 0x75e8cb19, "pci_p2pmem_alloc_sgl" },
	{ 0x321edbd1, "bio_add_page" },
	{ 0x3de41379, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x23036171, "bio_integrity_alloc" },
	{ 0xfb4548fa, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x53505a85, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0x31f325e8, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x4a652475, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x79d1e788, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x4d11adc3, "pci_p2pdma_enable_show" },
	{ 0x8d285302, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x4b0c4147, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1efc4220, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xd97644b8, "trace_event_buffer_reserve" },
	{ 0xbaee4236, "crypto_shash_final" },
	{ 0x2605bde1, "vfs_fsync" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf1dfcc22, "xa_destroy" },
	{ 0x2f9f6cf2, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd7dcf189, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6c21c6d8, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0xd62e6cf6, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x67d5aaa5, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2937f5a2, "xa_find_after" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x91d1eaf, "xa_set_mark" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5f4a08b0, "pci_p2pmem_find_many" },
	{ 0xba67c26e, "crypto_alloc_shash" },
	{ 0xcf2e8c5a, "nvme_auth_gen_privkey" },
	{ 0x1c0d54d8, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2d965e1d, "up_read" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x5d964b93, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x937d4a4a, "submit_bio_wait" },
	{ 0xca8f4485, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x5a4cfbf6, "__blkdev_issue_discard" },
	{ 0x70d231c1, "fs_bio_set" },
	{ 0x18817df1, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa5f8ff3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "DFB860AEDED5EF302DCC4CC");
MODULE_INFO(rhelversion, "9.7");
