#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x1c49efac, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x78b5aa33, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xdbb56aae, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x2cd1e694, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x7ba5a15f, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xcf8e0d26, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x6cd0fdea, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x991ef354, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x312a1fe8, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x43a0e86b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5cc88791, "dst_cache_set_ip4" },
	{ 0x62d88f24, "kernel_bind" },
	{ 0xef9bb88d, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x45c5570e, "netdev_warn" },
	{ 0xfee1f87a, "udp_tunnel_nic_ops" },
	{ 0x49c67fb1, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc13e21cb, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x7933057d, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x53200772, "iptunnel_xmit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc63335c3, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x264095b5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1e7b6093, "__dynamic_netdev_dbg" },
	{ 0x33847834, "dst_cache_get_ip4" },
	{ 0x480c2f6c, "sock_create_kern" },
	{ 0x2f77adfc, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x556bdbbe, "metadata_dst_alloc" },
	{ 0x5242753d, "dst_release" },
	{ 0x31809185, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x73a4f402, "sock_bindtoindex" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.7");
