#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x1199235f, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xf3541439, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xb8fee0e8, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x42c41cf4, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x735442ce, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x5ce68a08, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x3c809218, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x768b7f5a, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x459f6f9d, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xe06388a9, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xcf4c1261, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xc4bece4b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xda5538b4, "ipv6_chk_addr_and_flags" },
	{ 0x34e88631, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x83af28e6, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xdbaad7ad, "register_pernet_device" },
	{ 0x166d635d, "xfrm6_tunnel_register" },
	{ 0x1ec882c6, "rtnl_link_register" },
	{ 0x78cc4959, "xfrm6_tunnel_deregister" },
	{ 0xe5745f19, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc321a5, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0c59ded, "rt6_lookup" },
	{ 0x5242753d, "dst_release" },
	{ 0x4d3294f9, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x69dbadbb, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x140dba22, "init_net" },
	{ 0xb5b9367c, "alloc_netdev_mqs" },
	{ 0xf8494461, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x703a7dbc, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe15966a9, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x88ada138, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x40e5fe9, "__pskb_pull_tail" },
	{ 0xa7c22211, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x85367cc1, "netdev_state_change" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0xff16d0a8, "ip6_redirect" },
	{ 0x50b611b7, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xb068253, "dst_cache_get" },
	{ 0xdbb59642, "skb_scrub_packet" },
	{ 0x37f1e776, "skb_realloc_headroom" },
	{ 0xcbe4562e, "skb_set_owner_w" },
	{ 0x3c1b6c66, "consume_skb" },
	{ 0xae5ddd2c, "ipv6_push_frag_opts" },
	{ 0xf30e3abe, "skb_push" },
	{ 0x6ff3429b, "ip6_local_out" },
	{ 0x2fd9c4ad, "ip6_route_output_flags" },
	{ 0x4f485b24, "ipv6_dev_get_saddr" },
	{ 0xb274a39f, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x43cfec44, "skb_copy_bits" },
	{ 0xa25465b, "ip6_dst_hoplimit" },
	{ 0x607f3a80, "neigh_destroy" },
	{ 0x372cf123, "skb_clone" },
	{ 0x510977c8, "skb_pull" },
	{ 0x335164ed, "__icmpv6_send" },
	{ 0xba4731f4, "sk_skb_reason_drop" },
	{ 0x625c0c1f, "gro_cells_receive" },
	{ 0x8d3504d, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x49c67fb1, "ip_route_output_flow" },
	{ 0xe19088bd, "ip_route_input_noref" },
	{ 0x2d5b8c57, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x22930ada, "__iptunnel_pull_header" },
	{ 0x556bdbbe, "metadata_dst_alloc" },
	{ 0x41569f2, "iptunnel_handle_offloads" },
	{ 0xd8726290, "icmpv6_ndo_send" },
	{ 0x8b07a5c7, "icmp_ndo_send" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x36a38d7c, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd57f3785, "dev_get_tstats64" },
	{ 0x4f7ff654, "param_ops_bool" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "51119951CF018A48EEED5B1");
MODULE_INFO(rhelversion, "9.7");
