#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x08ac4c43, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x6db6fa82, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x6d7613e5, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xddde90a1, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x34374270, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xf034f305, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xdce7e6d7, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x917265a6, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x0dd781dd, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xcef5d36f, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xea3782fb, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x68bc6b84, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x0dd1a40e, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x950437b6, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0xabf1a52a, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xecec07bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9d121364, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{  0xdda55, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xfc764f1d, "finish_wait" },
	{ 0xd8355e89, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x589cc5b2, "seq_lseek" },
	{ 0x3f075f2e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcfc1e27a, "__wake_up" },
	{ 0xb81d1e0b, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x280d59ff, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xa243e11a, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c0486ad, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x75b830fc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9117b2e8, "bus_unregister" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x27c8e91f, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xba353f9f, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe9cdc11e, "__init_waitqueue_head" },
	{ 0xdc428c31, "kthread_create_on_node" },
	{ 0x696f1e40, "seq_read" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4f7ff654, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xa24f1bf0, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe42dfe7a, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbf4d878a, "debugfs_create_file_full" },
	{ 0x40236dc7, "seq_puts" },
	{ 0x12f6fd6d, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaff15db2, "param_ops_int" },
	{ 0x2b5d481e, "single_open" },
	{ 0x1d5cada0, "debugfs_create_dir" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xa20e7fca, "cdev_init" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x458e85d5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.7");
