#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xe461935d, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x5322789a, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x93f043bc, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x18696fea, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x9d50fd96, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xbb5b602a, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1e444eb, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0xef97707d, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x96241146, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4f1146d5, "bpf_prog_put" },
	{ 0x2f7509b6, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x43cfec44, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0x889e3774, "eth_mac_addr" },
	{ 0xc90737ba, "skb_put" },
	{ 0xadcc8e9e, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9cb11556, "netdev_update_features" },
	{ 0x3c1b6c66, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x72efd4c8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x876c87d8, "hrtimer_try_to_cancel" },
	{ 0x1413f7d5, "bpf_warn_invalid_xdp_action" },
	{ 0xb939728f, "unregister_netdev" },
	{ 0xf116f596, "xdp_convert_zc_to_xdp_frame" },
	{ 0x49b1b4f9, "xdp_features_set_redirect_target" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xdaa81003, "gpiod_set_value_cansleep" },
	{ 0xb8a2b893, "dma_unmap_page_attrs" },
	{ 0x2fef1102, "hrtimer_init" },
	{ 0x4ca25c69, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xeb099c33, "ptp_clock_index" },
	{ 0xc0419d9f, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x589cc5b2, "seq_lseek" },
	{ 0xc7b86a80, "page_pool_destroy" },
	{ 0x85bf9555, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45c5570e, "netdev_warn" },
	{ 0x90672ec1, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcfc1e27a, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x7c43b215, "flow_rule_match_ipv4_addrs" },
	{ 0xb87705eb, "xdp_rxq_info_unreg_mem_model" },
	{ 0xa189948d, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x34a1a52d, "netdev_err" },
	{ 0xa65376f6, "phylink_limit_mac_speed" },
	{ 0x36a139ce, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x329efc67, "dev_driver_string" },
	{ 0x1e04830a, "pinctrl_pm_select_default_state" },
	{ 0x924713bc, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d3504d, "eth_type_trans" },
	{ 0xb90c3f9d, "__pm_runtime_set_status" },
	{ 0x3361f951, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x64df443, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2c532f3d, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x911c9cf, "pm_wakeup_dev_event" },
	{ 0x4ce24842, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a3809c2, "__napi_schedule" },
	{ 0xbf23646b, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x8427031b, "netif_device_detach" },
	{ 0xe614650c, "device_property_read_u32_array" },
	{ 0xea7cef38, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x459d85a6, "rt_write_unlock" },
	{ 0xf9e8e7ed, "_dev_info" },
	{ 0xa2f8136a, "xpcs_create_mdiodev" },
	{ 0x1618b1a6, "napi_gro_receive" },
	{ 0xd5d82081, "netif_device_attach" },
	{ 0x998c3b4d, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xf834abf9, "netdev_pick_tx" },
	{ 0xc7f7d958, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x48924239, "xdp_rxq_info_is_reg" },
	{ 0x3622c440, "devm_alloc_etherdev_mqs" },
	{ 0xd13c20b1, "flow_block_cb_setup_simple" },
	{ 0x79dfc441, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xc4208d46, "dev_open" },
	{ 0xca7d1c16, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xf8446d67, "_dev_err" },
	{ 0x126b8a1b, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9d1328d8, "pinctrl_pm_select_sleep_state" },
	{ 0x510977c8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xba4830d4, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xaffc1e69, "ptp_clock_register" },
	{ 0x5fd740cc, "__of_mdiobus_register" },
	{ 0xd7b5be3b, "__traceiter_xdp_exception" },
	{ 0x596a783c, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x19774b, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xa6963ac2, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xd9bd479a, "dma_alloc_attrs" },
	{ 0x27c8e91f, "debugfs_remove" },
	{ 0xd7c773bd, "napi_enable" },
	{ 0x2c9c420e, "xpcs_get_interfaces" },
	{ 0xf8494461, "register_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x656dc638, "debugfs_change_name" },
	{ 0xea10c0a2, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x9f140a1b, "phylink_generic_validate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1345e1c4, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x9fd60397, "netif_tx_wake_queue" },
	{ 0x9c9eeffe, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x9d846820, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x378b116e, "_dev_warn" },
	{ 0x5936acb, "flow_rule_match_ports" },
	{ 0xc1c2bcf1, "phylink_fwnode_phy_connect" },
	{ 0x393844ae, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3d7bf3b9, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xe46f5fed, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x541cbdb2, "fwnode_get_named_child_node" },
	{ 0xe9cdc11e, "__init_waitqueue_head" },
	{ 0xd8375a5b, "ptp_clock_unregister" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xca6ffd39, "xpcs_get_an_mode" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1e7b6093, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30d34e9b, "xdp_return_frame_rx_napi" },
	{ 0xc044dec1, "netdev_alert" },
	{ 0x28db1363, "dma_set_coherent_mask" },
	{ 0x696f1e40, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x7dec2bb4, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xcf664a62, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x77c46551, "dma_free_attrs" },
	{ 0x45de86fb, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdcd2612c, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa9d31576, "flow_rule_match_vlan" },
	{ 0x8ad0d638, "xdp_rxq_info_unreg" },
	{ 0xf2b2b370, "page_pool_alloc_pages" },
	{ 0x29ca6e2b, "__xdp_rxq_info_reg" },
	{ 0x3207e11e, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb764dc93, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe42dfe7a, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x24e3ed41, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xadd23148, "netif_carrier_on" },
	{ 0x493fe4e7, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xbf4d878a, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb89ce297, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x12f6fd6d, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd1ba6be1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xce8e40ff, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x62ed2ee4, "xdp_master_redirect" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xb9b1a810, "napi_schedule_prep" },
	{ 0x8603d3db, "napi_disable" },
	{ 0x54f9c8ca, "dev_kfree_skb_any_reason" },
	{ 0x9e8fe7cc, "eth_header_parse_protocol" },
	{ 0xaff15db2, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x2b5d481e, "single_open" },
	{ 0x4cff7911, "__pm_runtime_disable" },
	{ 0x1d5cada0, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8f48e8d2, "skb_clone_tx_timestamp" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x599fb8ab, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbb3c9293, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf8a5a530, "__dev_fwnode" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x9efec84a, "netdev_info" },
	{ 0xc1e89b96, "page_pool_put_unrefed_page" },
	{ 0xe6fa88a4, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "80DC3B50DDBD72D20600A76");
MODULE_INFO(rhelversion, "9.7");
