#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x1e10f4ab, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x085513fc, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x514c526d, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xd8d4ed55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x184033f, "ether_setup" },
	{ 0x54de8652, "__ethtool_get_link_ksettings" },
	{ 0x25992c37, "ethtool_get_ts_info_by_layer" },
	{ 0x140dba22, "init_net" },
	{ 0x4c17bbe2, "generic_hwtstamp_set_lower" },
	{ 0x43ac0cb1, "generic_hwtstamp_get_lower" },
	{ 0x606d2df3, "dev_mc_del" },
	{ 0xfd283bcb, "dev_uc_del" },
	{ 0x7ffcd142, "dev_mc_add_excl" },
	{ 0x2961913a, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x9775fc3d, "vlan_vid_del" },
	{ 0xe7208135, "vlan_vid_add" },
	{ 0x943e2457, "dev_set_allmulti" },
	{ 0xc0a0258e, "dev_set_promiscuity" },
	{ 0xa4268ee4, "dev_uc_unsync" },
	{ 0x8cb9736c, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x1ec882c6, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe15966a9, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba6e0e87, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x68ff3a8c, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xa516ee09, "dev_uc_add" },
	{ 0x4dfdfc9c, "dev_set_mac_address" },
	{ 0x2f77adfc, "call_netdevice_notifiers" },
	{ 0x2b2a33d, "netif_inherit_tso_max" },
	{ 0x9cb11556, "netdev_update_features" },
	{ 0x640267, "netif_stacked_transfer_operstate" },
	{ 0x57c1d808, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc321a5, "unregister_netdevice_queue" },
	{ 0xc5dd4125, "netdev_upper_dev_unlink" },
	{ 0x67798cf9, "dev_uc_sync" },
	{ 0xf0181b7c, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x372cf123, "skb_clone" },
	{ 0xe3358f8f, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xe69c9fbd, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3c1b6c66, "consume_skb" },
	{ 0xec1b1ab5, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xba4731f4, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4d3294f9, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa7c22211, "register_netdevice" },
	{ 0x31476f9, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb0e3a174, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xa4750daa, "__netif_rx" },
	{ 0x77ec6e80, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8cf8508, "netdev_core_stats_inc" },
	{ 0xf3aee754, "__dev_queue_xmit" },
	{ 0x633afba9, "dev_forward_skb" },
	{ 0x569f8d0c, "passthru_features_check" },
	{ 0x7f1b68e9, "eth_validate_addr" },
	{ 0x5ab036db, "ndo_dflt_fdb_dump" },
	{ 0xa78532e8, "eth_header_parse" },
	{ 0xdee200fb, "eth_header_cache" },
	{ 0x3a99be69, "eth_header_cache_update" },
	{ 0x1345e1c4, "ethtool_op_get_link" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF40D7B4562138811E93981");
MODULE_INFO(rhelversion, "9.7");
