#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xfb77bcf1, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xe523c0a0, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xffc207a8, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xa1313fda, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x31699949, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xb1f38d7b, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xc23375bf, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xb3cedb5d, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x335b1477, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcfc1e27a, "__wake_up" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xba4731f4, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2ddecdec, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34a1a52d, "netdev_err" },
	{ 0xc848e6dc, "idr_remove" },
	{ 0x3afd6ae4, "skb_copy_datagram_iter" },
	{ 0x36b38a4f, "_copy_to_iter" },
	{ 0x76521afb, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3c1b6c66, "consume_skb" },
	{ 0xfc764f1d, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xa61091d3, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa20e7fca, "cdev_init" },
	{ 0x5d4c5b91, "cdev_add" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd59ded27, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x965e3911, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf30e3abe, "skb_push" },
	{ 0xb6d1899b, "__skb_gso_segment" },
	{ 0x6d8f5a25, "kfree_skb_list_reason" },
	{ 0x4ce24842, "skb_checksum_help" },
	{ 0xcf15aab4, "__skb_get_hash_net" },
	{ 0xea738f, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x61cf1ab8, "idr_find" },
	{ 0xd7a79e70, "sk_alloc" },
	{ 0xe9cdc11e, "__init_waitqueue_head" },
	{ 0x46278d3d, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x37917ee7, "__skb_flow_dissect" },
	{ 0x45262b83, "skb_partial_csum_set" },
	{ 0x40e5fe9, "__pskb_pull_tail" },
	{ 0x28d66c7e, "iov_iter_npages" },
	{ 0x367f6ad7, "_copy_from_iter" },
	{ 0x65fedb38, "sock_alloc_send_pskb" },
	{ 0xc90737ba, "skb_put" },
	{ 0x4b37484, "zerocopy_sg_from_iter" },
	{ 0xf3aee754, "__dev_queue_xmit" },
	{ 0x47d2a0e7, "skb_copy_datagram_from_iter" },
	{ 0xec98a30d, "iov_iter_revert" },
	{ 0x43cfec44, "skb_copy_bits" },
	{ 0xe4c68eaf, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacbcc3fe, "dev_set_mac_address_user" },
	{ 0x7105b33f, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
