#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x9a864cdc, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x38b3241e, "_gpl");
SYMBOL_CRC(sas_free_task, 0xa4038741, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xc5a5fe06, "");
SYMBOL_CRC(sas_resume_ha, 0xee957085, "");
SYMBOL_CRC(sas_suspend_ha, 0x2d46142d, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xdf44b828, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xfd37dce8, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xc60f42e1, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x8d0661db, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xf38b69c0, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x312b69cb, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xfa71dcd2, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xb1d1f123, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x13abf3d3, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x537ba0f6, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x9398ea41, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xf516aafe, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x60f5cd76, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xb9d57e6b, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xc8bc3c0d, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xb6cf8d41, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xe382ad70, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xbfceb8e0, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x86e75369, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x9bbc7dfb, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x7f6e2c6f, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x62cc4e63, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x0e5a7ce3, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xbb6f3234, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb51a43e, "ata_qc_complete" },
	{ 0xa52fcebc, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8c7d5566, "sas_rphy_remove" },
	{ 0xd75e11aa, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x644a86f2, "ata_sas_port_destroy" },
	{ 0x2ecc1fe1, "bsg_job_done" },
	{ 0x8f87f9c, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf6db5e1e, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xf70fd0a2, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xfc764f1d, "finish_wait" },
	{ 0xc8a2515, "scsi_schedule_eh" },
	{ 0x16c005cd, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xf9f99533, "ata_host_init" },
	{ 0xf812d6b3, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x12115a07, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7a6d74c7, "sas_port_get_phy" },
	{ 0x687b49f7, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x3f075f2e, "prepare_to_wait_event" },
	{ 0xcfc1e27a, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x5a199110, "kmem_cache_create" },
	{ 0xb81d1e0b, "get_device" },
	{ 0x82d6870b, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xcd08ba54, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x75b830fc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa9dc2055, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xbe999ca2, "kmem_cache_alloc" },
	{ 0xf9e8e7ed, "_dev_info" },
	{ 0xccef3f6c, "sas_phy_free" },
	{ 0xe3ef9a7b, "scsi_eh_finish_cmd" },
	{ 0xae1707ec, "ata_sas_port_alloc" },
	{ 0xa4ff8e8, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x388fd6be, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x39cdcba4, "sas_port_mark_backlink" },
	{ 0xc05fa33, "kmem_cache_free" },
	{ 0x46f5a794, "ata_std_qc_defer" },
	{ 0xb115d9c2, "ata_sas_port_start" },
	{ 0x2e3d5055, "ata_scsi_port_error_handler" },
	{ 0xf9c2b723, "ata_change_queue_depth" },
	{ 0xd14e7337, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x42c294f5, "sas_end_device_alloc" },
	{ 0x59c14626, "mutex_lock_interruptible" },
	{ 0x490fb7fa, "sas_read_port_mode_page" },
	{ 0x6480130a, "sas_expander_alloc" },
	{ 0x9c3076a2, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x378b116e, "_dev_warn" },
	{ 0xa16162c0, "sas_rphy_delete" },
	{ 0xc6c79af1, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6902f6a, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe9cdc11e, "__init_waitqueue_head" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xd2346254, "scsi_host_busy" },
	{ 0xe2f66610, "ata_sas_async_probe" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xe77aebe5, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdfd0e1fb, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc31bc041, "ata_sas_port_suspend" },
	{ 0x98f2fbcf, "sas_rphy_add" },
	{ 0x4eaca9d7, "sas_port_delete_phy" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8b0e274d, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95bb59c2, "sas_port_add_phy" },
	{ 0x3ef5d7ed, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x903edfda, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe94f5a1b, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xac16f10c, "ata_host_put" },
	{ 0x84fded7a, "sas_port_free" },
	{ 0x181a728a, "kmalloc_trace" },
	{ 0x305dff6e, "ata_std_sched_eh" },
	{ 0x77d7d67, "scsi_block_requests" },
	{ 0xb36fa5a9, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x1ea819be, "sas_remove_children" },
	{ 0x9315dab, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x16370809, "ata_port_wait_eh" },
	{ 0xb479d3b1, "kmalloc_caches" },
	{ 0xa5f8ff3, "kmem_cache_destroy" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
