#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0xd852a44e, "");
SYMBOL_CRC(geni_se_init, 0x246e0f54, "");
SYMBOL_CRC(geni_se_select_mode, 0x8e98c05b, "");
SYMBOL_CRC(geni_se_config_packing, 0x8e2c9040, "");
SYMBOL_CRC(geni_se_resources_off, 0xb7f5f3c5, "");
SYMBOL_CRC(geni_se_resources_on, 0x615a9a09, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x7ddccb0b, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0xdd632e83, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0x18463284, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0xcbb6e605, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0x9ce70ae1, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0xb5bf033c, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x86bbc171, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0xb63362ac, "");
SYMBOL_CRC(geni_icc_get, 0x4b0e9339, "");
SYMBOL_CRC(geni_icc_set_bw, 0xad3acf37, "");
SYMBOL_CRC(geni_icc_set_tag, 0x4ddfc74f, "");
SYMBOL_CRC(geni_icc_enable, 0xe0de1e46, "");
SYMBOL_CRC(geni_icc_disable, 0xda83277b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb8a2b893, "dma_unmap_page_attrs" },
	{ 0x428bac57, "is_acpi_device_node" },
	{ 0x5ecf3746, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf8446d67, "_dev_err" },
	{ 0x83fb42a8, "icc_set_bw" },
	{ 0xf8d44191, "icc_set_tag" },
	{ 0x6136b9ef, "icc_enable" },
	{ 0xfe9abc9b, "icc_disable" },
	{ 0x9bf132bd, "__platform_driver_register" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0xe2741e5e, "devm_platform_ioremap_resource" },
	{ 0x7cec2840, "devm_of_platform_populate" },
	{ 0xedea12e6, "__dynamic_dev_dbg" },
	{ 0xd794005a, "device_get_match_data" },
	{ 0xbf6b38fe, "of_count_phandle_with_args" },
	{ 0x8f180615, "devm_clk_bulk_get" },
	{ 0xe26aa15d, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x1e04830a, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9d1328d8, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3361f951, "dma_map_page_attrs" },
	{ 0x329efc67, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.7");
