#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xd76face3, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x668e18cb, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0xa7ecc565, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x6a8d8bd8, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x30017e8d, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xe19c7cda, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x56be03c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xff473c90, "nf_ct_helper_init" },
	{ 0x8e0e1f54, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x3e1f6805, "nf_conntrack_helpers_unregister" },
	{ 0xd03ece2c, "nf_ct_helper_log" },
	{ 0x8dac5a68, "nf_conntrack_expect_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8534b89b, "nf_ct_remove_expect" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0xf1af1304, "__nf_ct_refresh_acct" },
	{ 0x40e5fe9, "__pskb_pull_tail" },
	{ 0x43cfec44, "skb_copy_bits" },
	{ 0xe037e0b4, "nf_ct_expect_alloc" },
	{ 0x7af3eeea, "nf_ct_expect_init" },
	{ 0xb0dea888, "nf_ct_expect_put" },
	{ 0xd1c99cca, "nf_ct_expect_related_report" },
	{ 0xe6f902b1, "__nf_ct_expect_find" },
	{ 0xdcb764ad, "memset" },
	{ 0xde47b699, "nf_ipv6_ops" },
	{ 0x5242753d, "dst_release" },
	{ 0x1ba3c6ec, "nf_ip_route" },
	{ 0x5dd85b1b, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xa22de743, "param_ops_ushort" },
	{ 0xaff15db2, "param_ops_int" },
	{ 0x3b0d1074, "param_ops_uint" },
	{ 0xcd76fda7, "param_array_ops" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.7");
