#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xe299ac85, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x21ce4cc7, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x4a4455b5, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xa26d73fc, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x197d3166, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x236fe09e, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x11f323fd, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x60e8f3d9, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xd79d660b, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x28ba46ae, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x12a89756, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xb76e56c3, "register_pernet_subsys" },
	{ 0xe42dfe7a, "seq_printf" },
	{ 0x40236dc7, "seq_puts" },
	{ 0x89b0de77, "unregister_pernet_subsys" },
	{ 0xbadd3a50, "nf_register_net_hooks" },
	{ 0xea8674fd, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xde47b699, "nf_ipv6_ops" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6ff3429b, "ip6_local_out" },
	{ 0xba4731f4, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18b8a27a, "skb_ensure_writable" },
	{ 0x88720080, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x3887cc51, "ip_route_me_harder" },
	{ 0x9b1c147a, "ip_local_out" },
	{ 0xfe5e1efa, "__alloc_skb" },
	{ 0xc90737ba, "skb_put" },
	{ 0x43cfec44, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x84e5bc32, "nf_ct_tmpl_alloc" },
	{ 0x9cd7c19d, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4090589d, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe5fb80a, "nf_ct_tmpl_free" },
	{ 0xbdb0fbc, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa3ed2eb7, "ipv6_skip_exthdr" },
	{ 0x3dff9af5, "nf_ct_seqadj_init" },
	{ 0x3c1b6c66, "consume_skb" },
	{ 0x5e082955, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.7");
